Fandom

Dark Age of Camelot Wiki

What are the system requirements for Camelot?

1,819pages on
this wiki
Add New Page
Comments0 Share
What are the system requirements for Camelot?

The minimum system specs you'll need to play the latest release of Camelot, Dark Age of Camelot Darkness Rising (or the Epic Edition) are:

Pentium III 1.4GHz or AMD equivalent 384MB RAM 3D compatible acceleration card with 32MB video RAM Directx 9.0 or later Internet Connection required

The recommended system is:

Pentium 4 2.4GHz or AMD equivalent 512MB RAM Nvidia GeForce 4 Ti Series 3D video card with 64MB video RAM Directx 9.0 or later Internet Connection required

Supported Operating Systems:

Windows XP/Vista

(Windows 95/98/NT/ME/2000/64-bit versions of XP and Vista are not supported, but Camelot MAY work without incident on systems running it.)

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.